Bug 171608 - [UPDATE] chinese/fcitx to 4.2.6 along with its addons
Summary: [UPDATE] chinese/fcitx to 4.2.6 along with its addons
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-13 14:30 UTC by lichray
Modified: 2012-09-19 09:00 UTC (History)
0 users

See Also:


Attachments
fcitx_4.2.6_svn.diff (21.85 KB, patch)
2012-09-13 14:30 UTC, lichray
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lichray 2012-09-13 14:30:01 UTC
	
	The upstream merged many patches this time.

	The patch updates the following ports:
	chinese/fcitx (now it starts dbus session internally).
	chinese/fcitx-configtool
	chinese/fcitx-sunpinyin
	chinese/fcitx-cloudpinyin
	chinese/fcitx-chewing
	chinese/fcitx-table-extra
	japanese/fcitx-anthy

	Changes:
	https://www.csslayer.info/wordpress/diary/fcitx-4-2-6/
Comment 1 Wen Heping freebsd_committer 2012-09-14 08:18:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-09-19 08:01:41 UTC
Author: wen
Date: Wed Sep 19 07:01:24 2012
New Revision: 304478
URL: http://svn.freebsd.org/changeset/ports/304478

Log:
  - Update to 4.2.6
  
  PR:		171608
  Submitted by:	Zhihao Yuan <lichray@gmail.com> (maintainer)

Added:
  head/chinese/fcitx/files/patch-src_lib_fcitx-gclient_fcitxclient.c   (contents, props changed)
Deleted:
  head/chinese/fcitx/files/patch-data_CMakeLists.txt
  head/chinese/fcitx/files/patch-data_script_CMakeLists.txt
  head/chinese/fcitx/files/patch-src_lib_fcitx-gclient_fcitxinputmethod.c
  head/chinese/fcitx/files/patch-src_lib_fcitx-gclient_fcitxkbd.c
  head/chinese/fcitx/files/patch-src_lib_fcitx-utils_utils.c
  head/chinese/fcitx/files/patch-src_lib_fcitx_instance-internal.h
  head/chinese/fcitx/files/patch-src_module_unicode_charselectdata.c
Modified:
  head/chinese/fcitx/Makefile
  head/chinese/fcitx/distinfo
  head/chinese/fcitx/files/pkg-message.in
  head/chinese/fcitx/pkg-plist

Modified: head/chinese/fcitx/Makefile
==============================================================================
--- head/chinese/fcitx/Makefile	Wed Sep 19 04:38:13 2012	(r304477)
+++ head/chinese/fcitx/Makefile	Wed Sep 19 07:01:24 2012	(r304478)
@@ -6,10 +6,11 @@
 #
 
 PORTNAME=	fcitx
-PORTVERSION=	4.2.5
+PORTVERSION=	4.2.6
 CATEGORIES=	chinese x11
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
-DISTFILES=	${DISTNAME}${EXTRACT_SUFX} pinyin.tar.gz table.tar.gz
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX} \
+		pinyin.tar.gz table.tar.gz en_dict-${_DICT_VER}.tar.gz
 DIST_SUBDIR=	${PORTNAME}
 EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
 
@@ -21,7 +22,6 @@ LICENSE=	GPLv2
 BUILD_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/iso-codes.pc:${PORTSDIR}/misc/iso-codes
 LIB_DEPENDS=	execinfo:${PORTSDIR}/devel/libexecinfo \
 		dbus-1:${PORTSDIR}/devel/dbus \
-		enchant:${PORTSDIR}/textproc/enchant \
 		icuuc:${PORTSDIR}/devel/icu
 RUN_DEPENDS=	xdg-open:${PORTSDIR}/devel/xdg-utils
 
@@ -50,6 +50,8 @@ TPUNC_DESC=	Use traditional quotation ma
 
 .include <bsd.port.options.mk>
 
+CMAKE_ARGS+=	-DENABLE_XDGAUTOSTART=OFF -DFORCE_ENCHANT=ON
+
 .if ${PORT_OPTIONS:MGTK2}
 USE_GNOME+=	gtk20
 PLIST_SUB+=	GTK2=""
@@ -101,9 +103,12 @@ EXTRA_PATCHES+=	${FILESDIR}/nodocs-doc_C
 IGNORE=		code tables are required, undefine NOPORTDATA
 .endif
 
+_DICT_VER=	20120815
+
 post-patch:
 	@${CP} ${_DISTDIR}/pinyin.tar.gz ${WRKSRC}/data
 	@${CP} ${_DISTDIR}/table.tar.gz ${WRKSRC}/data/table
+	@${CP} ${_DISTDIR}/en_dict-${_DICT_VER}.tar.gz ${WRKSRC}/data
 .if ${OSVERSION} < 800067
 # getline() is GNU extension which FreeBSD only recently adopted
 EXTRA_PATCHES+=	${FILESDIR}/getline-src_lib_fcitx-utils_utils.c \

Modified: head/chinese/fcitx/distinfo
==============================================================================
--- head/chinese/fcitx/distinfo	Wed Sep 19 04:38:13 2012	(r304477)
+++ head/chinese/fcitx/distinfo	Wed Sep 19 07:01:24 2012	(r304478)
@@ -1,6 +1,8 @@
-SHA256 (fcitx/fcitx-4.2.5.tar.xz) = 478d311d3427e255729671f3a461762348bf5d83ed694d78021012778047140a
-SIZE (fcitx/fcitx-4.2.5.tar.xz) = 1413724
+SHA256 (fcitx/fcitx-4.2.6.tar.xz) = 13479bca8d7f420f486f1e2ea733dc9a0060f18c0f08b415c3c56694f2fd775e
+SIZE (fcitx/fcitx-4.2.6.tar.xz) = 1439664
 SHA256 (fcitx/pinyin.tar.gz) = 583829b24a758c087c08de4a69480d0bf5946354fe77db360d6d7f467c2bd8e1
 SIZE (fcitx/pinyin.tar.gz) = 1608886
 SHA256 (fcitx/table.tar.gz) = 6196053c724125e3ae3d8bd6b2f9172d0c83b65b0d410d3cde63b7a8d6ab87b7
 SIZE (fcitx/table.tar.gz) = 4144686
+SHA256 (fcitx/en_dict-20120815.tar.gz) = a73c989eae586a681a0e64bd7e8a43d45fc6dfbfd45b98e4b83f715a87639945
+SIZE (fcitx/en_dict-20120815.tar.gz) = 679983

Added: head/chinese/fcitx/files/patch-src_lib_fcitx-gclient_fcitxclient.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/chinese/fcitx/files/patch-src_lib_fcitx-gclient_fcitxclient.c	Wed Sep 19 07:01:24 2012	(r304478)
@@ -0,0 +1,17 @@
+--- src/lib/fcitx-gclient/fcitxclient.c.orig	2012-09-19 14:25:18.000000000 +0800
++++ src/lib/fcitx-gclient/fcitxclient.c	2012-09-19 14:29:55.000000000 +0800
+@@ -26,10 +26,14 @@
+ #include "fcitxclient.h"
+ #include "marshall.h"
+ 
++#ifdef _DEBUG
+ #define fcitx_gclient_debug(...) g_log ("fcitx-client",       \
+                                       G_LOG_LEVEL_DEBUG,    \
+                                       __VA_ARGS__)
+ 
++#else
++#define fcitx_gclient_debug(...)
++#endif
+ typedef struct _ProcessKeyStruct ProcessKeyStruct;
+ 
+ struct _ProcessKeyStruct {

Modified: head/chinese/fcitx/files/pkg-message.in
==============================================================================
--- head/chinese/fcitx/files/pkg-message.in	Wed Sep 19 04:38:13 2012	(r304477)
+++ head/chinese/fcitx/files/pkg-message.in	Wed Sep 19 07:01:24 2012	(r304478)
@@ -23,7 +23,4 @@ To start fcitx with your desktop, just
 	cp %%PREFIX%%/share/applications/fcitx.desktop \
 	    ~/.config/autostart/
 
-if your desktop environment is XDG-compatible. Otherwise, you have to
-make sure fcitx is started AFTER dbus-launch.
-
 ************************************************************************

Modified: head/chinese/fcitx/pkg-plist
==============================================================================
--- head/chinese/fcitx/pkg-plist	Wed Sep 19 04:38:13 2012	(r304477)
+++ head/chinese/fcitx/pkg-plist	Wed Sep 19 07:01:24 2012	(r304478)
@@ -1,6 +1,7 @@
 bin/createPYMB
 bin/fcitx
 bin/fcitx-configtool
+bin/fcitx-dbus-watcher
 bin/fcitx-remote
 bin/fcitx-skin-installer
 bin/fcitx4-config
@@ -13,11 +14,12 @@ bin/txt2mb
 include/fcitx-config/fcitx-config.h
 include/fcitx-config/hotkey.h
 include/fcitx-config/xdg.h
-include/fcitx-gclient/fcitxkbd.h
 include/fcitx-gclient/fcitxclient.h
 include/fcitx-gclient/fcitxinputmethod.h
-include/fcitx-utils/keysymgen.h
+include/fcitx-gclient/fcitxkbd.h
+include/fcitx-utils/bitset.h
 include/fcitx-utils/keysym.h
+include/fcitx-utils/keysymgen.h
 include/fcitx-utils/log.h
 include/fcitx-utils/memory.h
 include/fcitx-utils/utarray.h
@@ -42,6 +44,7 @@ include/fcitx/module/ipc/ipc.h
 include/fcitx/module/pinyin/pydef.h
 include/fcitx/module/punc/punc.h
 include/fcitx/module/quickphrase/quickphrase.h
+include/fcitx/module/spell/spell.h
 include/fcitx/module/x11/x11stuff.h
 include/fcitx/profile.h
 include/fcitx/ui.h
@@ -50,15 +53,17 @@ lib/fcitx/fcitx-chttrans.so
 lib/fcitx/fcitx-classic-ui.so
 lib/fcitx/fcitx-dbus.so
 lib/fcitx/fcitx-fullwidth-char.so
-lib/fcitx/fcitx-keyboard.so
 lib/fcitx/fcitx-imselector.so
 lib/fcitx/fcitx-ipc.so
+lib/fcitx/fcitx-keyboard.so
 lib/fcitx/fcitx-kimpanel-ui.so
+lib/fcitx/fcitx-pinyin-enhance.so
 lib/fcitx/fcitx-pinyin.so
 lib/fcitx/fcitx-punc.so
 lib/fcitx/fcitx-quickphrase.so
 lib/fcitx/fcitx-qw.so
 lib/fcitx/fcitx-remote-module.so
+lib/fcitx/fcitx-spell.so
 lib/fcitx/fcitx-table.so
 lib/fcitx/fcitx-unicode.so
 lib/fcitx/fcitx-vk.so
@@ -99,10 +104,10 @@ share/applications/fcitx.desktop
 share/cmake/fcitx/FcitxConfig.cmake
 share/cmake/fcitx/FcitxConfigVersion.cmake
 share/cmake/fcitx/FcitxMacro.cmake
+share/cmake/fcitx/getdescpo
 %%PORTDOCS%%%%DOCSDIR%%/API.txt
 %%PORTDOCS%%%%DOCSDIR%%/Develop_Readme
 %%PORTDOCS%%%%DOCSDIR%%/cjkvinput.txt
-%%PORTDOCS%%%%DOCSDIR%%/disable-table.conf.template
 %%PORTDOCS%%%%DOCSDIR%%/pinyin.txt
 %%PORTDOCS%%%%DOCSDIR%%/wb_fh.htm
 %%DATADIR%%/addon/fcitx-autoeng.conf
@@ -114,11 +119,13 @@ share/cmake/fcitx/FcitxMacro.cmake
 %%DATADIR%%/addon/fcitx-ipc.conf
 %%DATADIR%%/addon/fcitx-keyboard.conf
 %%DATADIR%%/addon/fcitx-kimpanel-ui.conf
+%%DATADIR%%/addon/fcitx-pinyin-enhance.conf
 %%DATADIR%%/addon/fcitx-pinyin.conf
 %%DATADIR%%/addon/fcitx-punc.conf
 %%DATADIR%%/addon/fcitx-quickphrase.conf
 %%DATADIR%%/addon/fcitx-qw.conf
 %%DATADIR%%/addon/fcitx-remote-module.conf
+%%DATADIR%%/addon/fcitx-spell.conf
 %%DATADIR%%/addon/fcitx-table.conf
 %%DATADIR%%/addon/fcitx-unicode.conf
 %%DATADIR%%/addon/fcitx-vk.conf
@@ -128,12 +135,15 @@ share/cmake/fcitx/FcitxMacro.cmake
 %%DATADIR%%/addon/fcitx-xkbdbus.conf
 %%DATADIR%%/configdesc/addon.desc
 %%DATADIR%%/configdesc/config.desc
+%%DATADIR%%/configdesc/fcitx-autoeng.desc
 %%DATADIR%%/configdesc/fcitx-chttrans.desc
 %%DATADIR%%/configdesc/fcitx-classic-ui.desc
 %%DATADIR%%/configdesc/fcitx-imselector.desc
 %%DATADIR%%/configdesc/fcitx-keyboard.desc
+%%DATADIR%%/configdesc/fcitx-pinyin-enhance.desc
 %%DATADIR%%/configdesc/fcitx-pinyin.desc
 %%DATADIR%%/configdesc/fcitx-quickphrase.desc
+%%DATADIR%%/configdesc/fcitx-spell.desc
 %%DATADIR%%/configdesc/fcitx-table.desc
 %%DATADIR%%/configdesc/fcitx-unicode.desc
 %%DATADIR%%/configdesc/fcitx-xim.desc
@@ -144,18 +154,20 @@ share/cmake/fcitx/FcitxMacro.cmake
 %%DATADIR%%/configdesc/table.desc
 %%DATADIR%%/data/AutoEng.dat
 %%DATADIR%%/data/charselectdata
+%%DATADIR%%/data/en_dict.fscd
 %%DATADIR%%/data/gbks2t.tab
 %%DATADIR%%/data/punc.mb.zh_CN
 %%DATADIR%%/data/punc.mb.zh_HK
 %%DATADIR%%/data/punc.mb.zh_TW
 %%DATADIR%%/data/vk.conf
-%%DATADIR%%/imicon/wbpy.png
-%%DATADIR%%/imicon/ziranma.png
+%%DATADIR%%/dbus/daemon.conf
+%%DATADIR%%/imicon/cangjie.png
 %%DATADIR%%/imicon/erbi.png
-%%DATADIR%%/imicon/wubi.png
-%%DATADIR%%/imicon/shuangpin.png
 %%DATADIR%%/imicon/pinyin.png
-%%DATADIR%%/imicon/cangjie.png
+%%DATADIR%%/imicon/shuangpin.png
+%%DATADIR%%/imicon/wbpy.png
+%%DATADIR%%/imicon/wubi.png
+%%DATADIR%%/imicon/ziranma.png
 %%DATADIR%%/inputmethod/pinyin.conf
 %%DATADIR%%/inputmethod/qw.conf
 %%DATADIR%%/inputmethod/shuangpin.conf
@@ -358,6 +370,7 @@ share/mime/packages/x-fskin.xml
 @dirrm %%DATADIR%%/pinyin
 @dirrm %%DATADIR%%/inputmethod
 @dirrm %%DATADIR%%/imicon
+@dirrm %%DATADIR%%/dbus
 @dirrm %%DATADIR%%/data
 @dirrm %%DATADIR%%/configdesc
 @dirrm %%DATADIR%%/addon
@@ -366,16 +379,17 @@ share/mime/packages/x-fskin.xml
 @dirrm share/cmake/fcitx
 @dirrm lib/fcitx
 @dirrm include/fcitx/module/x11
+@dirrm include/fcitx/module/spell
 @dirrm include/fcitx/module/quickphrase
 @dirrm include/fcitx/module/punc
 @dirrm include/fcitx/module/pinyin
 @dirrm include/fcitx/module/ipc
-@dirrm include/fcitx-gclient
 @dirrm include/fcitx/module/dbus
 @dirrm include/fcitx/module/classicui
 @dirrm include/fcitx/module/chttrans
 @dirrm include/fcitx/module
 @dirrm include/fcitx-utils
+@dirrm include/fcitx-gclient
 @dirrm include/fcitx-config
 @dirrm include/fcitx
 @dirrmtry lib/girepository-1.0
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2012-09-19 08:07:06 UTC
Author: wen
Date: Wed Sep 19 07:06:51 2012
New Revision: 304479
URL: http://svn.freebsd.org/changeset/ports/304479

Log:
  - Update to 0.3.9
  
  PR:		171608
  Submitted by:	Zhihao Yuan <lichray@gmail.com> (maintainer)

Deleted:
  head/chinese/fcitx-sunpinyin/files/patch-data_CMakeLists.txt
Modified:
  head/chinese/fcitx-sunpinyin/Makefile
  head/chinese/fcitx-sunpinyin/distinfo

Modified: head/chinese/fcitx-sunpinyin/Makefile
==============================================================================
--- head/chinese/fcitx-sunpinyin/Makefile	Wed Sep 19 07:01:24 2012	(r304478)
+++ head/chinese/fcitx-sunpinyin/Makefile	Wed Sep 19 07:06:51 2012	(r304479)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	fcitx-sunpinyin
-PORTVERSION=	0.3.8
+PORTVERSION=	0.3.9
 CATEGORIES=	chinese
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 DIST_SUBDIR=	fcitx

Modified: head/chinese/fcitx-sunpinyin/distinfo
==============================================================================
--- head/chinese/fcitx-sunpinyin/distinfo	Wed Sep 19 07:01:24 2012	(r304478)
+++ head/chinese/fcitx-sunpinyin/distinfo	Wed Sep 19 07:06:51 2012	(r304479)
@@ -1,2 +1,2 @@
-SHA256 (fcitx/fcitx-sunpinyin-0.3.8.tar.xz) = 7a65087f9cc9136d5a64006f2d2a34fe81b3ac6e73f25326a62f5013d996431b
-SIZE (fcitx/fcitx-sunpinyin-0.3.8.tar.xz) = 41376
+SHA256 (fcitx/fcitx-sunpinyin-0.3.9.tar.xz) = 7bf5f70c3653b5aebbbde96fd731ecbbce74cfd4d211620a5156b2700a63e47e
+SIZE (fcitx/fcitx-sunpinyin-0.3.9.tar.xz) = 41268
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2012-09-19 08:20:32 UTC
Author: wen
Date: Wed Sep 19 07:20:18 2012
New Revision: 304481
URL: http://svn.freebsd.org/changeset/ports/304481

Log:
  - Update to 0.3.0
  
  PR:		171608
  Submitted by:	Zhihao Yuan <lichray@gmail.com> (maintainer)

Added:
  head/chinese/fcitx-cloudpinyin/files/
  head/chinese/fcitx-cloudpinyin/files/patch-CMakeLists.txt   (contents, props changed)
Modified:
  head/chinese/fcitx-cloudpinyin/Makefile
  head/chinese/fcitx-cloudpinyin/distinfo

Modified: head/chinese/fcitx-cloudpinyin/Makefile
==============================================================================
--- head/chinese/fcitx-cloudpinyin/Makefile	Wed Sep 19 07:07:00 2012	(r304480)
+++ head/chinese/fcitx-cloudpinyin/Makefile	Wed Sep 19 07:20:18 2012	(r304481)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	fcitx-cloudpinyin
-PORTVERSION=	0.2.3
+PORTVERSION=	0.3.0
 CATEGORIES=	chinese
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 DIST_SUBDIR=	fcitx

Modified: head/chinese/fcitx-cloudpinyin/distinfo
==============================================================================
--- head/chinese/fcitx-cloudpinyin/distinfo	Wed Sep 19 07:07:00 2012	(r304480)
+++ head/chinese/fcitx-cloudpinyin/distinfo	Wed Sep 19 07:20:18 2012	(r304481)
@@ -1,2 +1,2 @@
-SHA256 (fcitx/fcitx-cloudpinyin-0.2.3.tar.xz) = 01a97c975e2485831d47bb9648f724683a89facba53d8d127bff950e61a77dff
-SIZE (fcitx/fcitx-cloudpinyin-0.2.3.tar.xz) = 18636
+SHA256 (fcitx/fcitx-cloudpinyin-0.3.0.tar.xz) = a68f27d9785bb1e31610424acb81faa933bfe9b7e93140c9895cd34987547b84
+SIZE (fcitx/fcitx-cloudpinyin-0.3.0.tar.xz) = 19344

Added: head/chinese/fcitx-cloudpinyin/files/patch-CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/chinese/fcitx-cloudpinyin/files/patch-CMakeLists.txt	Wed Sep 19 07:20:18 2012	(r304481)
@@ -0,0 +1,8 @@
+--- CMakeLists.txt.orig	2012-09-19 15:09:58.000000000 +0800
++++ CMakeLists.txt	2012-09-19 15:10:32.000000000 +0800
+@@ -33,4 +33,3 @@
+ 
+ add_subdirectory(src)
+ add_subdirectory(po)
+-add_subdirectory(test)
+\ No newline at end of file
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2012-09-19 08:22:53 UTC
Author: wen
Date: Wed Sep 19 07:22:39 2012
New Revision: 304482
URL: http://svn.freebsd.org/changeset/ports/304482

Log:
  - Update to 0.1.3
  
  PR:		171608
  Submitted by:	Zhihao Yuan <lichray@gmail.com> (maintainer)

Modified:
  head/chinese/fcitx-chewing/Makefile
  head/chinese/fcitx-chewing/distinfo

Modified: head/chinese/fcitx-chewing/Makefile
==============================================================================
--- head/chinese/fcitx-chewing/Makefile	Wed Sep 19 07:20:18 2012	(r304481)
+++ head/chinese/fcitx-chewing/Makefile	Wed Sep 19 07:22:39 2012	(r304482)
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	fcitx-chewing
-PORTVERSION=	0.1.2
-PORTREVISION=	1
+PORTVERSION=	0.1.3
 CATEGORIES=	chinese
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 DIST_SUBDIR=	fcitx
@@ -15,8 +14,8 @@ DIST_SUBDIR=	fcitx
 MAINTAINER=	lichray@gmail.com
 COMMENT=	Chewing support for Fcitx
 
-LIB_DEPENDS=	fcitx-config.4:${PORTSDIR}/chinese/fcitx \
-		chewing.3:${PORTSDIR}/chinese/libchewing
+LIB_DEPENDS=	fcitx-config:${PORTSDIR}/chinese/fcitx \
+		chewing:${PORTSDIR}/chinese/libchewing
 
 USE_XZ=		yes
 USE_GETTEXT=	yes

Modified: head/chinese/fcitx-chewing/distinfo
==============================================================================
--- head/chinese/fcitx-chewing/distinfo	Wed Sep 19 07:20:18 2012	(r304481)
+++ head/chinese/fcitx-chewing/distinfo	Wed Sep 19 07:22:39 2012	(r304482)
@@ -1,2 +1,2 @@
-SHA256 (fcitx/fcitx-chewing-0.1.2.tar.xz) = d7e44f76a69c34c9c5e27fc2dd97e52290e8efe28ca008899735f992bbdcc5d2
-SIZE (fcitx/fcitx-chewing-0.1.2.tar.xz) = 15120
+SHA256 (fcitx/fcitx-chewing-0.1.3.tar.xz) = d9cdac1469ffe7e60f1d13f11257708361fdc4bfea487a8162b5a22aa23d775c
+SIZE (fcitx/fcitx-chewing-0.1.3.tar.xz) = 15160
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2012-09-19 08:25:17 UTC
Author: wen
Date: Wed Sep 19 07:25:01 2012
New Revision: 304483
URL: http://svn.freebsd.org/changeset/ports/304483

Log:
  - Update to 0.4.5
  
  PR:		171608
  Submitted by:	Zhihao Yuan <lichray@gmail.com> (maintainer)

Modified:
  head/chinese/fcitx-configtool/Makefile
  head/chinese/fcitx-configtool/distinfo

Modified: head/chinese/fcitx-configtool/Makefile
==============================================================================
--- head/chinese/fcitx-configtool/Makefile	Wed Sep 19 07:22:39 2012	(r304482)
+++ head/chinese/fcitx-configtool/Makefile	Wed Sep 19 07:25:01 2012	(r304483)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	fcitx-configtool
-PORTVERSION=	0.4.4
+PORTVERSION=	0.4.5
 CATEGORIES=	chinese x11
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 DIST_SUBDIR=	fcitx

Modified: head/chinese/fcitx-configtool/distinfo
==============================================================================
--- head/chinese/fcitx-configtool/distinfo	Wed Sep 19 07:22:39 2012	(r304482)
+++ head/chinese/fcitx-configtool/distinfo	Wed Sep 19 07:25:01 2012	(r304483)
@@ -1,2 +1,2 @@
-SHA256 (fcitx/fcitx-configtool-0.4.4.tar.xz) = 66cae23c1e1555a5e8e8cb8696e562b0b58d28e16d2f0b9c64a0f274a6c06745
-SIZE (fcitx/fcitx-configtool-0.4.4.tar.xz) = 37764
+SHA256 (fcitx/fcitx-configtool-0.4.5.tar.xz) = 474ff8635e29e29b6b6f37efe698e2b4264efaba55448a13d0b46d696887c8c1
+SIZE (fcitx/fcitx-configtool-0.4.5.tar.xz) = 42036
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2012-09-19 08:28:11 UTC
Author: wen
Date: Wed Sep 19 07:27:57 2012
New Revision: 304484
URL: http://svn.freebsd.org/changeset/ports/304484

Log:
  - Update to 0.1.1
  
  PR:		171608
  Submitted by:	Zhihao Yuan <lichray@gmail.com> (maintainer)

Modified:
  head/japanese/fcitx-anthy/Makefile
  head/japanese/fcitx-anthy/distinfo

Modified: head/japanese/fcitx-anthy/Makefile
==============================================================================
--- head/japanese/fcitx-anthy/Makefile	Wed Sep 19 07:25:01 2012	(r304483)
+++ head/japanese/fcitx-anthy/Makefile	Wed Sep 19 07:27:57 2012	(r304484)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	fcitx-anthy
-PORTVERSION=	0.1.0
+PORTVERSION=	0.1.1
 CATEGORIES=	japanese
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 DIST_SUBDIR=	fcitx

Modified: head/japanese/fcitx-anthy/distinfo
==============================================================================
--- head/japanese/fcitx-anthy/distinfo	Wed Sep 19 07:25:01 2012	(r304483)
+++ head/japanese/fcitx-anthy/distinfo	Wed Sep 19 07:27:57 2012	(r304484)
@@ -1,2 +1,2 @@
-SHA256 (fcitx/fcitx-anthy-0.1.0.tar.xz) = 63d811cd356b9f6054a6552f516f019024d655036615d532de6a966d6daef523
-SIZE (fcitx/fcitx-anthy-0.1.0.tar.xz) = 74684
+SHA256 (fcitx/fcitx-anthy-0.1.1.tar.xz) = c508068c7c9a56c26ea44b8e6ddb90a2ea75860031f89e171dcda8ec4cd08955
+SIZE (fcitx/fcitx-anthy-0.1.1.tar.xz) = 68604
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Wen Heping freebsd_committer 2012-09-19 08:53:38 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 9 dfilter service freebsd_committer 2012-09-19 08:55:36 UTC
Author: wen
Date: Wed Sep 19 07:54:07 2012
New Revision: 304488
URL: http://svn.freebsd.org/changeset/ports/304488

Log:
  - Update to 0.3.3
  
  PR:		171608
  Submitted by:	Zhihao Yuan <lichray@gmail.com>

Modified:
  head/chinese/fcitx-table-extra/Makefile
  head/chinese/fcitx-table-extra/distinfo
  head/chinese/fcitx-table-extra/pkg-plist

Modified: head/chinese/fcitx-table-extra/Makefile
==============================================================================
--- head/chinese/fcitx-table-extra/Makefile	Wed Sep 19 07:46:58 2012	(r304487)
+++ head/chinese/fcitx-table-extra/Makefile	Wed Sep 19 07:54:07 2012	(r304488)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	fcitx-table-extra
-PORTVERSION=	0.3.2
+PORTVERSION=	0.3.3
 CATEGORIES=	chinese
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 DIST_SUBDIR=	fcitx
@@ -14,7 +14,7 @@ DIST_SUBDIR=	fcitx
 MAINTAINER=	lichray@gmail.com
 COMMENT=	Table-based input methods for Fcitx
 
-LIB_DEPENDS=	fcitx-config.4:${PORTSDIR}/chinese/fcitx
+LIB_DEPENDS=	fcitx-config:${PORTSDIR}/chinese/fcitx
 
 USE_XZ=		yes
 USE_GETTEXT=	yes

Modified: head/chinese/fcitx-table-extra/distinfo
==============================================================================
--- head/chinese/fcitx-table-extra/distinfo	Wed Sep 19 07:46:58 2012	(r304487)
+++ head/chinese/fcitx-table-extra/distinfo	Wed Sep 19 07:54:07 2012	(r304488)
@@ -1,2 +1,2 @@
-SHA256 (fcitx/fcitx-table-extra-0.3.2.tar.xz) = fb118f365818ddaa8d29fdfea5492805dad51ee3d8e87fe45016a760e5ee1c7a
-SIZE (fcitx/fcitx-table-extra-0.3.2.tar.xz) = 3354240
+SHA256 (fcitx/fcitx-table-extra-0.3.3.tar.xz) = ae2bbf9146dfdeafb6220c9a738ddc1f0437da2c5f2da0d578ba4970bc74767d
+SIZE (fcitx/fcitx-table-extra-0.3.3.tar.xz) = 3350592

Modified: head/chinese/fcitx-table-extra/pkg-plist
==============================================================================
--- head/chinese/fcitx-table-extra/pkg-plist	Wed Sep 19 07:46:58 2012	(r304487)
+++ head/chinese/fcitx-table-extra/pkg-plist	Wed Sep 19 07:54:07 2012	(r304488)
@@ -1,3 +1,17 @@
+share/fcitx/imicon/cantonhk.png
+share/fcitx/imicon/jyutping.png
+share/fcitx/imicon/quick3.png
+share/fcitx/imicon/quick5.png
+share/fcitx/imicon/quick-classic.png
+share/fcitx/imicon/scj6.png
+share/fcitx/imicon/wu.png
+share/fcitx/imicon/zhengma.png
+share/fcitx/imicon/boshiamy.png
+share/fcitx/imicon/cantonese.png
+share/fcitx/imicon/easy-big.png
+share/fcitx/imicon/array30.png
+share/fcitx/imicon/array30-big.png
+share/fcitx/imicon/stroke5.png
 share/fcitx/table/boshiamy.conf
 share/fcitx/table/zhengma.conf
 share/fcitx/table/cangjie3.conf
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"